Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class FetchingScrollableResultsImpl

    java.lang.Object
      org.hibernate.internal.AbstractScrollableResults
          org.hibernate.internal.FetchingScrollableResultsImpl

All Implemented Interfaces:
  ScrollableResults

    public class FetchingScrollableResultsImpl

extends AbstractScrollableResults

Implementation of ScrollableResults which can handle collection fetches.

Constructor Summary
`FetchingScrollableResultsImpl(ResultSet rs, PreparedStatement ps, SessionImplementor sess, Loader loader, QueryParameters queryParameters, Type[] types, HolderInstantiator holderInstantiator)`

Method Summary
`void` | `afterLast()` Go to a location just after the last result
`void` | `beforeFirst()` Go to a location just before first result (this is the initial location)
`boolean` | `first()` Go to the first result
`protected Object[]` | `getCurrentRow()`
`int` | `getRowNumber()` Get the current location in the result set.
`boolean` | `isFirst()` Is this the first result?
`boolean` | `isLast()` Is this the last result?
`boolean` | `last()` Go to the last result
`boolean` | `next()` Advance to the next result
`boolean` | `previous()` Retreat to the previous result
`boolean` | `scroll(int positions)` Scroll an arbitrary number of locations
`boolean` | `setRowNumber(int rowNumber)` Set the current location in the result set, numbered from either the first row (row number `0`), or the last row (row number `-1`).

Methods inherited from class org.hibernate.internal.AbstractScrollableResults
`afterScrollOperation, close, get, get, getBigDecimal, getBigInteger, getBinary, getBlob, getBoolean, getByte, getCalendar, getCharacter, getClob, getDate, getDouble, getFinal, getFloat, getHolderInstantiator, getInteger, getLoader, getLocale, getLong, getNonFinal, getPs, getQueryParameters, getResultSet, getSession, getShort, getString, getText, getTimeZone, getType, getTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchingScrollableResultsImpl

    public FetchingScrollableResultsImpl(ResultSet rs,
                                         PreparedStatement ps,
                                         SessionImplementor sess,
                                         Loader loader,
                                         QueryParameters queryParameters,
                                         Type[] types,
                                         HolderInstantiator holderInstantiator)
                                  throws MappingException

Throws:
  `MappingException`

Method Detail

### getCurrentRow

    protected Object[] getCurrentRow()

  Specified by:
    `getCurrentRow` in class `AbstractScrollableResults`

### next

    public boolean next()
                 throws HibernateException

  Advance to the next result

  Returns:
    `true` if there is another result
  Throws:
    `HibernateException`

### previous

    public boolean previous()
                     throws HibernateException

  Retreat to the previous result

  Returns:
    `true` if there is a previous result
  Throws:
    `HibernateException`

### scroll

    public boolean scroll(int positions)
                   throws HibernateException

  Scroll an arbitrary number of locations

  Parameters:
    `positions` - a positive (forward) or negative (backward) number of rows
  Returns:
    `true` if there is a result at the new location
  Throws:
    `HibernateException`

### last

    public boolean last()
                 throws HibernateException

  Go to the last result

  Returns:
    `true` if there are any results
  Throws:
    `HibernateException`

### first

    public boolean first()
                  throws HibernateException

  Go to the first result

  Returns:
    `true` if there are any results
  Throws:
    `HibernateException`

### beforeFirst

    public void beforeFirst()
                     throws HibernateException

  Go to a location just before first result (this is the initial location)

  Throws:
    `HibernateException`

### afterLast

    public void afterLast()
                   throws HibernateException

  Go to a location just after the last result

  Throws:
    `HibernateException`

### isFirst

    public boolean isFirst()
                    throws HibernateException

  Is this the first result?

  Returns:
    `true` if this is the first row of results
  Throws:
    `HibernateException`

### isLast

    public boolean isLast()
                   throws HibernateException

  Is this the last result?

  Returns:
    `true` if this is the last row of results
  Throws:
    `HibernateException`

### getRowNumber

    public int getRowNumber()
                     throws HibernateException

  Get the current location in the result set. The first row is number `0`, contrary to JDBC.

  Returns:
    the row number, numbered from `0`, or `-1` if there is no current row
  Throws:
    `HibernateException`

### setRowNumber

    public boolean setRowNumber(int rowNumber)
                         throws HibernateException

  Set the current location in the result set, numbered from either the first row (row number `0`), or the last row (row number `-1`).

  Parameters:
    `rowNumber` - the row number, numbered from the last row, in the case of a negative row number
  Returns:
    true if there is a row at that row number
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.